"use strict";

exports.__esModule = true;
exports.isCallback = isCallback;
exports.isOptions = isOptions;
exports.isSerializableMap = isSerializableMap;
exports.isArrayOfStrings = exports.isDependencies = void 0;

function isCallback(x) {
  return x != null && typeof x === 'function';
}

function isOptions(x) {
  return x != null && typeof x === 'object' && !(x instanceof Array);
}

function isSerializableMap(x) {
  return x != null && typeof x === 'object' && !(x instanceof Array);
}

var isDependencies = function isDependencies(x) {
  return x != null && x instanceof Array;
};

exports.isDependencies = isDependencies;

var isArrayOfStrings = function isArrayOfStrings(x) {
  return x != null && x instanceof Array;
};

exports.isArrayOfStrings = isArrayOfStrings;
//# sourceMappingURL=generic.js.map